Loading...
Payments APIPayments

Get payment details

GET
/payments/{id}

Fetch particular payment details.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Identifier of the payment.

Formatuuid
id*string

Identifier of the payment

Formatuuid

Header Parameters

X-Volt-Api-Version*integer

Version of the API used. Currently, version 1 is the only version.

Value in1
X-Volt-Initiation-Channel*string

Channel used for payment initiation flow.

Value in"api" | "hosted"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://gateway.sandbox.volt.io/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-Volt-Api-Version: 1" \  -H "X-Volt-Initiation-Channel: api"

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "currency": "EUR",
  "amount": 10000,
  "paymentReference": "XV9840MK550AMKQ910",
  "internalReference": "H35X48Y4FWOD6G3S",
  "paymentSystem": "OPEN_BANKING_EU",
  "openBankingEU": {
    "type": "BILL",
    "institutionId": "cdae5c01-a629-4362-be56-52101ec22a49",
    "validityPeriod": 1440,
    "provider": "Volt",
    "accountIdentifiers": {
      "iban": "DE75512108001245126199"
    }
  },
  "payer": {
    "reference": "JDOE-101",
    "firstName": "John",
    "lastName": "Doe",
    "organisationName": "JD Holdings",
    "email": "johndoe@example.com",
    "accountIdentifiers": {
      "iban": "DE75512108001245126199"
    }
  },
  "sender": {
    "name": "John Doe",
    "accountIdentifiers": {
      "iban": "DE75512108001245126199"
    }
  },
  "beneficiary": {
    "name": "Jane Doe",
    "accountIdentifiers": {
      "iban": "PL10105000997603123456789123"
    }
  },
  "device": {
    "ip": "192.168.0.1",
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0",
    "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed"
  },
  "status": "NEW_PAYMENT",
  "transferType": "SWIFT",
  "displayInfo": [
    {
      "key": "Product SKU",
      "value": "87ec73a0"
    }
  ],
  "createdAt": "2024-04-15T15:52:01+00:00",
  "updatedAt": "2005-08-15T15:52:01+00:00",
  "paymentInitiationFlow": {
    "status": "PROCESSING",
    "details": {
      "reason": "AWAITING_USER_REDIRECT",
      "redirect": {
        "url": "https://vo.lt/asqIs",
        "directUrl": "https://myBank.com/authorisation?code=xyz"
      }
    }
  }
}